## ros-humble-joint-trajectory-controller 2.24.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(joint_trajectory_controller LANGUAGES CXX)

if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
  add_compile_options(-Wall -Wextra)
endif()

set(THIS_PACKAGE_INCLUDE_DEPENDS
    angles
    control_msgs
    control_toolbox
    controller_interface
    generate_parameter_library
    hardware_interface
    pluginlib
    rclcpp
    rclcpp_lifecycle
    realtime_tools
    trajectory_msgs
)

find_package(ament_cmake REQUIRED)
find_package(backward_ros REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

generate_parameter_library(joint_trajectory_controller_parameters
  src/joint_trajectory_controller_parameters.yaml
  include/joint_trajectory_controller/validate_jtc_parameters.hpp
)

add_library(joint_trajectory_controller SHARED
  src/joint_trajectory_controller.cpp
  src/trajectory.cpp
)
target_compile_features(joint_trajectory_controller PUBLIC cxx_std_17)
target_include_directories(joint_trajectory_controller PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/joint_trajectory_controller>
)
target_link_libraries(joint_trajectory_controller PUBLIC
  joint_trajectory_controller_parameters
)
ament_target_dependencies(joint_trajectory_controller PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(joint_trajectory_controller PRIVATE "JOINT_TRAJECTORY_CONTROLLER_BUILDING_DLL" "_USE_MATH_DEFINES")
pluginlib_export_plugin_description_file(controller_interface joint_trajectory_plugin.xml)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  ament_add_gmock(test_trajectory test/test_trajectory.cpp)
  target_link_libraries(test_trajectory joint_trajectory_controller)

  ament_add_gmock(test_trajectory_controller
    test/test_trajectory_controller.cpp
    ENV config_file=${CMAKE_CURRENT_SOURCE_DIR}/test/config/test_joint_trajectory_controller.yaml)
  set_tests_properties(test_trajectory_controller PROPERTIES TIMEOUT 220)
  target_link_libraries(test_trajectory_controller
    joint_trajectory_controller
  )

  ament_add_gmock(test_load_joint_trajectory_controller
    test/test_load_joint_trajectory_controller.cpp
  )
  target_link_libraries(test_load_joint_trajectory_controller
    joint_trajectory_controller
  )
  ament_target_dependencies(test_load_joint_trajectory_controller
    controller_manager
    control_toolbox
    realtime_tools
    ros2_control_test_assets
  )

  ament_add_gmock(test_trajectory_actions
    test/test_trajectory_actions.cpp
  )
  set_tests_properties(test_trajectory_actions PROPERTIES TIMEOUT 300)
  target_link_libraries(test_trajectory_actions
    joint_trajectory_controller
  )
endif()


install(
  DIRECTORY include/
  DESTINATION include/joint_trajectory_controller
)
install(TARGETS
    joint_trajectory_controller
    joint_trajectory_controller_parameters
  EXPORT export_joint_trajectory_controller
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

ament_export_targets(export_joint_trajectory_controller HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_package()

=== debian/changelog ===
ros-humble-joint-trajectory-controller (2.24.0-1jammy) jammy; urgency=high

  * [JTC] Disable use of closed-loop PID adapter if controller is used in open-loop mode. (#551 <https://github.com/ros-controls/ros2_controllers/issues/551>) (#740 <https://github.com/ros-controls/ros2_controllers/issues/740>)
  * [JTC] Reject messages with effort fields (#699 <https://github.com/ros-controls/ros2_controllers/issues/699>) (#719 <https://github.com/ros-controls/ros2_controllers/issues/719>) (#738 <https://github.com/ros-controls/ros2_controllers/issues/738>)
  * [JTC] Re-enabling test, bugfixing and hardening. Adding a parameter to define when trajectories with non-zero velocity at the end are used. (backport #705 <https://github.com/ros-controls/ros2_controllers/issues/705>) (#706 <https://github.com/ros-controls/ros2_controllers/issues/706>)
  * Small improvement in remapping (#393 <https://github.com/ros-controls/ros2_controllers/issues/393>) (#724 <https://github.com/ros-controls/ros2_controllers/issues/724>)
  * Contributors: Christoph Fröhlich, Dr. Denis, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.23.0-1jammy) jammy; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>) (#677 <https://github.com/ros-controls/ros2_controllers/issues/677>)
  * jtc: fix minor typo in traj validation error msg (#674 <https://github.com/ros-controls/ros2_controllers/issues/674>) (#676 <https://github.com/ros-controls/ros2_controllers/issues/676>)
  * Contributors: G.A. vd. Hoorn, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.22.0-1jammy) jammy; urgency=high

  * Docs: Use branch name substitution for all links (backport #618 <https://github.com/ros-controls/ros2_controllers/issues/618>) (#633 <https://github.com/ros-controls/ros2_controllers/issues/633>)
  * [JTC] Import docs from wiki.ros.org (backport #566 <https://github.com/ros-controls/ros2_controllers/issues/566>) (#634 <https://github.com/ros-controls/ros2_controllers/issues/634>)
  * [Formatting] enable ReflowComments to also use ColumnLimit on comments   (#628 <https://github.com/ros-controls/ros2_controllers/issues/628>)
  * Contributors: Sai Kishor Kothakota, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.21.0-1jammy) jammy; urgency=high

  * Deprecations in generate_parameter_library. (#616 <https://github.com/ros-controls/ros2_controllers/issues/616>)
  * Remove compile warnings. (#519 <https://github.com/ros-controls/ros2_controllers/issues/519>) (#620 <https://github.com/ros-controls/ros2_controllers/issues/620>)
  * ported the joint_trajectory_controller query_state service to ROS2 (backport #481 <https://github.com/ros-controls/ros2_controllers/issues/481>) (#614 <https://github.com/ros-controls/ros2_controllers/issues/614>)
  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>) (#617 <https://github.com/ros-controls/ros2_controllers/issues/617>)
  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>) (#605 <https://github.com/ros-controls/ros2_controllers/issues/605>)
  * Contributors: Dr. Denis, Felix Exner (fexner), Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.20.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.19.0-1jammy) jammy; urgency=high

  * Fix JTC from immediately returning success (#565 <https://github.com/ros-controls/ros2_controllers/issues/565>) (#592 <https://github.com/ros-controls/ros2_controllers/issues/592>)
  * Implement new ~/controller_state message (#578 <https://github.com/ros-controls/ros2_controllers/issues/578>)
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.18.0-1jammy) jammy; urgency=high

  * Fix docs format (#591 <https://github.com/ros-controls/ros2_controllers/issues/591>)
  * [JTC] Configurable joint positon error normalization behavior (#491 <https://github.com/ros-controls/ros2_controllers/issues/491>) (#579 <https://github.com/ros-controls/ros2_controllers/issues/579>)
  * Contributors: Christoph Fröhlich, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.17.3-1jammy) jammy; urgency=high

  * [JTC] Add pid gain structure to documentation (#485 <https://github.com/ros-controls/ros2_controllers/issues/485>) (#543 <https://github.com/ros-controls/ros2_controllers/issues/543>)
  * Fix markup in userdoc.rst (#480 <https://github.com/ros-controls/ros2_controllers/issues/480>) (#542 <https://github.com/ros-controls/ros2_controllers/issues/542>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-joint-trajectory-controller (2.17.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-humble-joint-trajectory-controller (2.17.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-joint-trajectory-controller (2.17.0-1jammy) jammy; urgency=high

  * fix interpolation logic (#516 <https://github.com/ros-controls/ros2_controllers/issues/516>) (#523 <https://github.com/ros-controls/ros2_controllers/issues/523>)


=== debian/control ===
Source: ros-humble-joint-trajectory-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-angles, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-control-toolbox, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-generate-parameter-library, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-angles, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-control-toolbox, ros-humble-controller-interface, ros-humble-generate-parameter-library, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-realtime-tools, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Description: Controller for executing joint-space trajectories on a group of joints

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-joint-trajectory-controller//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-joint-trajectory-controller 2.37.0

=== debian/changelog ===
ros-humble-joint-trajectory-controller (2.37.0-1bookworm) bookworm; urgency=high

  * Fix WaitSet issue in tests  (backport #1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>) (#1211 <https://github.com/ros-controls/ros2_controllers/issues/1211>)
  * [JTC] Make goal_time_tolerance overwrite default value only if explicitly set (backport #1192 <https://github.com/ros-controls/ros2_controllers/issues/1192> + #1209 <https://github.com/ros-controls/ros2_controllers/issues/1209>) (#1208 <https://github.com/ros-controls/ros2_controllers/issues/1208>)
  * [JTC] Process tolerances sent with action goal (backport #716 <https://github.com/ros-controls/ros2_controllers/issues/716>) (#1189 <https://github.com/ros-controls/ros2_controllers/issues/1189>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 16:00:00 -0000

ros-humble-joint-trajectory-controller (2.36.0-1bookworm) bookworm; urgency=high

  * Still fill desired/actual deprecated fields (#1172 <https://github.com/ros-controls/ros2_controllers/issues/1172>)
  * JTC trajectory end time validation fix (#1090 <https://github.com/ros-controls/ros2_controllers/issues/1090>) (#1140 <https://github.com/ros-controls/ros2_controllers/issues/1140>)
  * Contributors: Bence Magyar, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-joint-trajectory-controller (2.35.0-1bookworm) bookworm; urgency=high

  * [JTC] Remove unused test code (#1095 <https://github.com/ros-controls/ros2_controllers/issues/1095>) (#1096 <https://github.com/ros-controls/ros2_controllers/issues/1096>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 May 2024 16:00:00 -0000

ros-humble-joint-trajectory-controller (2.34.0-1bookworm) bookworm; urgency=high

  * Remove action_msg dependency (#1077 <https://github.com/ros-controls/ros2_controllers/issues/1077>) (#1080 <https://github.com/ros-controls/ros2_controllers/issues/1080>)
  * [JTC] Angle wraparound for first segment of trajectory (#796 <https://github.com/ros-controls/ros2_controllers/issues/796>) (#1033 <https://github.com/ros-controls/ros2_controllers/issues/1033>)
  * Bump version of pre-commit hooks (#1073 <https://github.com/ros-controls/ros2_controllers/issues/1073>) (#1074 <https://github.com/ros-controls/ros2_controllers/issues/1074>)
  * Let sphinx add parameter description with nested structures to documentation (backport #652 <https://github.com/ros-controls/ros2_controllers/issues/652>) (#1005 <https://github.com/ros-controls/ros2_controllers/issues/1005>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Mar 2024 16:00:00 -0000

ros-humble-joint-trajectory-controller (2.33.0-1bookworm) bookworm; urgency=high

  * Fix usage of M_PI on Windows (#1036 <https://github.com/ros-controls/ros2_controllers/issues/1036>) (#1037 <https://github.com/ros-controls/ros2_controllers/issues/1037>)
  * Add test_depend on hardware_interface_testing (backport #1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>) (#1019 <https://github.com/ros-controls/ros2_controllers/issues/1019>)
  * Add tests for interface_configuration_type consistently (#899 <https://github.com/ros-controls/ros2_controllers/issues/899>) (#1011 <https://github.com/ros-controls/ros2_controllers/issues/1011>)
  * [JTC] Fill action error_strings (#887 <https://github.com/ros-controls/ros2_controllers/issues/887>) (#1009 <https://github.com/ros-controls/ros2_controllers/issues/1009>)
  * [JTC] Invalidate empty trajectory messages (#902 <https://github.com/ros-controls/ros2_controllers/issues/902>) (#1000 <https://github.com/ros-controls/ros2_controllers/issues/1000>)
  * Revert "[JTC] Remove read_only from 'joints', 'state_interfaces' and 'command_interfaces' parameters (#967 <https://github.com/ros-controls/ros2_controllers/issues/967>)" (#978 <https://github.com/ros-controls/ros2_controllers/issues/978>) (#986 <https://github.com/ros-controls/ros2_controllers/issues/986>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-joint-trajectory-controller (2.32.0-1bookworm) bookworm; urgency=high

  * Cleanup package.xml und clarify tests of JTC. (backport #889 <https://github.com/ros-controls/ros2_controllers/issues/889>) (#924 <https://github.com/ros-controls/ros2_controllers/issues/924>)
  * [JTC] Remove deprecation from parameters validation file. (#476 <https://github.com/ros-controls/ros2_controllers/issues/476>) (#926 <https://github.com/ros-controls/ros2_controllers/issues/926>)
  * [JTC] Cancel goal in on_deactivate (#962 <https://github.com/ros-controls/ros2_controllers/issues/962>) (#970 <https://github.com/ros-controls/ros2_controllers/issues/970>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-joint-trajectory-controller (2.31.0-1bookworm) bookworm; urgency=high

  * [JTC] Remove read_only from 'joints', 'state_interfaces' and 'command_interfaces' parameters (#967 <https://github.com/ros-controls/ros2_controllers/issues/967>) (#968 <https://github.com/ros-controls/ros2_controllers/issues/968>)
  * [JTC] Add console output for tolerance checks (backport #932 <https://github.com/ros-controls/ros2_controllers/issues/932>) (#938 <https://github.com/ros-controls/ros2_controllers/issues/938>)
  * [JTC] Cleanup includes (#943 <https://github.com/ros-controls/ros2_controllers/issues/943>) (#959 <https://github.com/ros-controls/ros2_controllers/issues/959>)
  * Fix whitespace
  * Add rqt_JTC to docs (#950 <https://github.com/ros-controls/ros2_controllers/issues/950>) (#952 <https://github.com/ros-controls/ros2_controllers/issues/952>)
  * Contributors: Bence Magyar, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 10 Jan 2024 16:00:00 -0000



=== debian/control ===
Source: ros-humble-joint-trajectory-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-angles, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-control-toolbox, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-generate-parameter-library, ros-humble-hardware-interface, ros-humble-hardware-interface-testing <!nocheck>, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-rsl, ros-humble-tl-expected, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-angles, ros-humble-backward-ros, ros-humble-control-msgs, ros-humble-control-toolbox, ros-humble-controller-interface, ros-humble-generate-parameter-library, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-realtime-tools, ros-humble-rsl, ros-humble-tl-expected, ros-humble-trajectory-msgs, ros-humble-ros-workspace
Description: Controller for executing joint-space trajectories on a group of joints

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-joint-trajectory-controller//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-joint-trajectory-controller//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-joint-trajectory-controller//opt/ros/humble/opt/joint_trajectory_controller/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
